> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update pay stubs

> Bulk-update the pay stubs under the given payroll matching the selection criteria. The payroll must be in `draft` status.



## OpenAPI

````yaml /spec/openapi.json post /pay_stubs/bulk/update
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Remittance Totals
  - name: Reports
  - name: ROE SAT Agreements
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /pay_stubs/bulk/update:
    post:
      tags:
        - Pay Stubs
      summary: Bulk update pay stubs
      description: >-
        Bulk-update the pay stubs under the given payroll matching the selection
        criteria. The payroll must be in `draft` status.
      operationId: pay-stubs-bulk-update
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    payroll_id:
                      type: string
                      description: The payroll whose pay stubs to update.
                    pay_stubs:
                      type: object
                      description: >-
                        The pay stub selection criteria.


                        `pay_stubs.include` must be either the string `"all"`,
                        or an object containing one or more of `ids` (pay stub
                        id string array), `work_assignment_ids` (string array -
                        selects the stubs for those work assignments),
                        `payee_type` (`employee` or `contractor`).


                        `pay_stubs.exclude` (optional) is an object containing
                        one or more of the same keys.
                      properties:
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                            payee_type:
                              type: string
                              enum:
                                - contractor
                                - employee
                            work_assignment_ids:
                              type: array
                              items:
                                type: string
                - type: object
                  required:
                    - payroll_id
                    - pay_stubs
            example:
              payroll_id: <id>
              pay_stubs:
                include: all
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````